%{?scl:%scl_package rubygem-%{gemname}}
%{!?scl:%global pkg_name %{name}}

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname mustache
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Logic-less Ruby templates
Name: %{?scl_prefix}rubygem-%{gemname}
Version: 0.99.4
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: https://github.com/defunkt/mustache
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{?scl_prefix}rubygems
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
%{?scl:Requires: %{scl}-runtime}
BuildRequires: %{?scl_prefix}rubygem(rake)
BuildRequires: %{?scl_prefix}rubygems
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gemname}) = %{version}

%description
Inspired by ctemplate, Mustache is a framework-agnostic way to
render logic-free views. As ctemplates says, "It emphasizes
separating logic from presentation: it is impossible to embed
application logic in this template language. Think of Mustache
as a replacement for your views. Instead of views consisting of
ERB or HAML with random helpers and arbitrary logic, your
views are broken into two parts: a Ruby class and an HTML
template.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
%{?scl:"}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
rm -f %{buildroot}%{geminstdir}/.gitignore
rm -rf %{buildroot}%{gemdir}/doc

%clean
rm -rf %{buildroot}

%check

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{geminstdir}/README.md
%{geminstdir}/Rakefile
%{geminstdir}/lib
%doc %{geminstdir}/man
%{geminstdir}/bin
%{geminstdir}/test
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/LICENSE
%_bindir/%{gemname}

%changelog
* Fri May 11 2012 <moses@puppetlabs.com> - 0.99.4-1
- Initial packaging
